using System;

internal sealed class Delegate336 : MulticastDelegate
{
	public extern void Invoke(object object_0, Action<object, bool> action_0);

	public static void smethod_0(object object_0, Action<object, bool> action_0, Delegate336 delegate336_1)
	{
		delegate336_1(object_0, action_0);
	}

	public extern Delegate336(object object_0, IntPtr intptr_0);

	static Delegate336()
	{
		Class10.smethod_13(typeof(Delegate336).TypeHandle);
	}

	internal static Delegate336 delegate336_0;
}
